#pragma once
#include "include.txt"

class Character
{
public:
	Character();
	Character(int xData, int yData, int zData);
	~Character();

	void	setFacing(int data);
	int		getFacing() const;
	void	setX(int data);
	int		getX() const;
	void	setY(int data);
	int		getY() const;
	void	setZ(int data);
	int		getZ() const;

	void	printPlayer() const;
	void	printLocation() const;
	void	Action(string Action, int maxX, int maxY);
private:
	int facing;
	int x;
	int y;
	int z;
};